Package: java.time.temporal

## Interface TemporalAccessor

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `List` | `getAt(Iterable fields)` Supports the getAt operator for an iterable; equivalent to collecting the TemporalAccessor#getLong(java.time.temporal.TemporalField) method for each field in the supplied iterable.
    `long` | `getAt(TemporalField field)` Supports the getAt operator; equivalent to calling the TemporalAccessor#getLong(java.time.temporal.TemporalField) method.

- - ### Methods Detail

    - #### public List getAt(Iterable fields)

      Supports the getAt operator for an iterable; equivalent to collecting the TemporalAccessor#getLong(java.time.temporal.TemporalField) method for each field in the supplied iterable.

          import static java.time.temporal.ChronoField.*
          import java.time.LocalTime

          def breakfast = LocalTime.of(8, 30, 0)
          def (h, m, s) = breakfast[HOUR_OF_DAY, MINUTE_OF_HOUR, SECOND_OF_MINUTE]
          assert "$h:$m:$s" == "8:30:0"

      Parameters:
        `fields` - an iterable of non-null TemporalField values
      Returns:
        the list of values for the fields
      Since:
        4.0.6

    - #### public long getAt(TemporalField field)

      Supports the getAt operator; equivalent to calling the TemporalAccessor#getLong(java.time.temporal.TemporalField) method.

      Parameters:
        `field` - a non-null TemporalField
      Returns:
        the value for the field
      Since:
        2.5.0